

{- |
Copyright  : Will Thompson, Iñaki García Etxebarria and Jonas Platte
License    : LGPL-2.1
Maintainer : Iñaki García Etxebarria (inaki@blueleaf.cc)
-}

#define ENABLE_OVERLOADING (MIN_VERSION_haskell_gi_overloading(1,0,0) \
       && !defined(__HADDOCK_VERSION__))

module GI.GstBase.Objects
    (     module GI.GstBase.Objects.Adapter       ,
    module GI.GstBase.Objects.Aggregator    ,
    module GI.GstBase.Objects.AggregatorPad ,
    module GI.GstBase.Objects.BaseParse     ,
    module GI.GstBase.Objects.BaseSink      ,
    module GI.GstBase.Objects.BaseSrc       ,
    module GI.GstBase.Objects.BaseTransform ,
    module GI.GstBase.Objects.CollectPads   ,
    module GI.GstBase.Objects.DataQueue     ,
    module GI.GstBase.Objects.PushSrc       ,


    ) where

import GI.GstBase.Objects.Adapter
import GI.GstBase.Objects.Aggregator
import GI.GstBase.Objects.AggregatorPad
import GI.GstBase.Objects.BaseParse
import GI.GstBase.Objects.BaseSink
import GI.GstBase.Objects.BaseSrc
import GI.GstBase.Objects.BaseTransform
import GI.GstBase.Objects.CollectPads
import GI.GstBase.Objects.DataQueue
import GI.GstBase.Objects.PushSrc

import Data.GI.Base.ShortPrelude
import qualified Data.GI.Base.ShortPrelude as SP
import qualified Data.GI.Base.Overloading as O
import qualified Prelude as P

import qualified Data.GI.Base.Attributes as GI.Attributes
import qualified Data.GI.Base.ManagedPtr as B.ManagedPtr
import qualified Data.GI.Base.GClosure as B.GClosure
import qualified Data.GI.Base.GError as B.GError
import qualified Data.GI.Base.GVariant as B.GVariant
import qualified Data.GI.Base.GValue as B.GValue
import qualified Data.GI.Base.GParamSpec as B.GParamSpec
import qualified Data.GI.Base.CallStack as B.CallStack
import qualified Data.GI.Base.Properties as B.Properties
import qualified Data.Text as T
import qualified Data.ByteString.Char8 as B
import qualified Data.Map as Map
import qualified Foreign.Ptr as FP
import qualified GHC.OverloadedLabels as OL



